import { ItemwiseStrategyBasedIndicator } from "./ItemwiseStrategyBasedIndicator";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class WeightedCloseIndicator extends ItemwiseStrategyBasedIndicator {
    static $t: Type;
    protected get_zk(): ItemwiseIndicatorCalculationStrategy;
    get zk(): ItemwiseIndicatorCalculationStrategy;
    protected get_zb(): Type;
    protected get zb(): Type;
}
